Bug 589331 - ath5k wireless network has bad reception and low throughput with AR5211
ath5k wireless network has bad reception and low throughput with AR5211
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 17:07 EDT by Ingvar Hagelund
Modified: 2011-06-27 12:07 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:07:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingvar Hagelund 2010-05-05 17:07:46 EDT
Description of problem:
ath5k wireless network has bad reception and slow speed with AR5211 (IBM Thinkpad T40p)

Version-Release number of selected component (if applicable):
kernel-2.6.33.3-72.fc13.i686

How reproducible:
Always

Steps to Reproduce:
1. Boot fedora 13 beta with all latest updates from updates-testing
2. Sit close to the access point. Download a big file. Watch crippled speed (<1MBit)
3. Try to move away from the access point. Some meters, and a stair after, suddenly, the link disappears
  
Actual results:
Has to sit close to the access point, thus not much point in using wifi in the first place. Bad network throughput.

Expected results:
Good reception. High throughput.

Additional info:
There are a lot of bugs tagged ath5k in Red Hat's Bugzilla, and in other distributions' bugtrackers too. I could not find any fedora specific matching AR5211, though.

Hard-coding the transfer rate, for example by
iwconfig wlan0 rate 11M
has no effect

Not sure if there is much to do about the antenna reception until the driver gets more built-in logic, see http://wireless.kernel.org/en/users/Drivers/ath5k

Workaround: Use the not-so-free madwifi driver, available from http://snapshots.madwifi-project.org/madwifi-trunk/  , rmmod ath5k, modprobe ath_pci.

Ingvar
Comment 1 Stanislaw Gruszka 2010-06-01 15:12:44 EDT
Does it works on F12?
Comment 2 Ingvar Hagelund 2010-06-03 06:06:36 EDT
(In reply to comment #1)
> Does it works on F12?    

No
Comment 3 Bug Zapper 2011-06-02 10:27:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 12:07:03 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.